<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class InputIjazah extends Model
{
    use HasFactory, SoftDeletes;
    protected $fillable = [
        'nim_mhs',
        'nama_mhs',
        'fakultas_id',
        'program_studi_id',
        'tahun_akademik_id',
        'skyudi',
        'tglyudi',
        'no_ijazah',
        'tglijazah',
        'upload_ijazah',
        'upload_transkip'



    ];

    public function tahunAkademik()
    {
        return $this->belongsTo(TahunAkademik::class);
    }

    public function fakultas()
    {
        return $this->belongsTo(Fakultas::class);
    }

    public function programStudi()
    {
        return $this->belongsTo(ProgramStudi::class);
    }
}
